DOM::Counter class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::Counter Class Reference

The `Counter` interface is used to represent any counter or counters function value. More...

`#include <css_value.h>`

List of all members.

## Public Member Functions
| Counter (const Counter &other)
Counter & | operator= (const Counter &other)
DOM::DOMString | identifier () const
| This attribute is used for the identifier of the counter.
DOM::DOMString | listStyle () const
| This attribute is used for the style of the list.
DOM::DOMString | separator () const
| This attribute is used for the separator of nested counters.
CounterImpl * | handle () const
bool | isNull () const
## Protected Member Functions
| Counter (CounterImpl *i)
## Protected Attributes
CounterImpl * | impl
## Friends
class | CSSPrimitiveValue

## Detailed Description

The `Counter` interface is used to represent any counter or counters function value.

This interface reflects the values in the underlying style property. Hence, modifications made through this interface modify the style property.

Definition at line 691 of file css_value.h.

## Member Function Documentation

DOMString Counter::identifier | ( |  | ) | const

| This attribute is used for the identifier of the counter. Definition at line 448 of file css_value.cpp.

DOMString Counter::listStyle | ( |  | ) | const

| This attribute is used for the style of the list. Definition at line 454 of file css_value.cpp.

DOMString Counter::separator | ( |  | ) | const

| This attribute is used for the separator of nested counters. Definition at line 460 of file css_value.cpp.

The documentation for this class was generated from the following files:

- css_value.h
- css_value.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:35:50 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001